%global srcname w3lib

Name:           python-%{srcname}
Version:        2.0.1
Release:    1%{?dist}
Summary:        Library of web-related functions

License:        BSD-3-Clause
URL:            https://github.com/scrapy/w3lib
Source0:        %{pypi_source}
BuildArch:      noarch


%global _desc %{expand:
This is a Python library of web-related functions, such as:
- Remove comments, or tags from HTML snippets
- Extract base url from HTML snippets
- Translate entites on HTML strings
- Encoding mulitpart/form-data
- Convert raw HTTP headers to dicts and vice-versa
- Construct HTTP auth header
- Converting HTML pages to unicode
- RFC-compliant url joining
- Sanitize urls (like browsers do)
- Extract arguments from urls}


%description %_desc


%package -n python3-%{srcname}
Summary:    %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname} %_desc


%prep
%setup -qn %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}

 
%check 
%tox 

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst
%license LICENSE


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.1-1
- initial build
